websocket-sharp System.Object Provides a set of properties and methods used to manage an HTTP Cookie.

The Cookie class supports the following cookie formats: Netscape specification, RFC 2109 and RFC 2965.

The Cookie class cannot be inherited.

- Constructor
  Initializes a new instance of the class.
  To be added.
- Constructor
  A that contains the Name of the cookie.
  A that contains the Value of the cookie.
  Initializes a new instance of the class with the specified and .
  To be added.

  is or .

  - or -

  contains an invalid character.

  - or -

  is .

  - or -

  contains a string not enclosed in double quotes that contains an invalid character.

- Constructor
  A that contains the Name of the cookie.
  A that contains the Value of the cookie.
  A that contains the value of the Path attribute of the cookie.
  Initializes a new instance of the class with the specified , and .
  To be added.

  is or .

  - or -

  contains an invalid character.

  - or -

  is .

  - or -

  contains a string not enclosed in double quotes that contains an invalid character.

- Constructor
  A that contains the Name of the cookie.
  A that contains the Value of the cookie.
  A that contains the value of the Path attribute of the cookie.
  A that contains the value of the Domain attribute of the cookie.
  Initializes a new instance of the class with the specified , , and .
  To be added.

  is or .

  - or -

  contains an invalid character.

  - or -

  is .

  - or -

  contains a string not enclosed in double quotes that contains an invalid character.

- Property
  System.String Gets or sets the value of the Comment attribute of the cookie. A that contains a comment to document intended use of the cookie. To be added.
- Property
  System.Uri Gets or sets the value of the CommentURL attribute of the cookie. A that contains a URI that provides the comment to document intended use of the cookie. To be added.
- Property
  System.Boolean Gets or sets a value indicating whether the client discards the cookie unconditionally when the client terminates. true if the client discards the cookie unconditionally when the client terminates; otherwise, false. The default is false. To be added.
- Property
  System.String Gets or sets the value of the Domain attribute of the cookie. A that contains a URI for which the cookie is valid. To be added.
- Method
  System.Boolean `` An to compare with the current . Determines whether the specified is equal to the current . true if the specified is equal to the current ; otherwise, false. To be added.
- Property
  System.Boolean Gets or sets a value indicating whether the cookie has expired. true if the cookie has expired; otherwise, false. The default is false. To be added.
- Property
  System.DateTime Gets or sets the value of the Expires attribute of the cookie. A that contains the date and time at which the cookie expires. The default is . To be added.
- Method
  System.Int32 Serves as a hash function for a object. An that contains a hash code for this instance. To be added.
- Property
  System.Boolean Gets or sets a value indicating non-HTTP APIs can access the cookie. true if non-HTTP APIs can not access the cookie; otherwise, false. To be added.
- Property
  System.String Gets or sets the Name of the cookie. A that contains the Name of the cookie. To be added.

  The value specified for a set operation is or .

  - or -

  The value specified for a set operation contains an invalid character.

- Property
  System.String Gets or sets the value of the Path attribute of the cookie. A that contains a subset of URI on the origin server to which the cookie applies. To be added.
- Property
  System.String Gets or sets the value of the Port attribute of the cookie. A that contains a list of the TCP ports to which the cookie applies. To be added. The value specified for a set operation is not enclosed in double quotes or could not be parsed.
- Property
  System.Boolean Gets or sets a value indicating whether the security level of the cookie is secure. true if the security level of the cookie is secure; otherwise, false. The default is false. When this property is true, the cookie may be included in the HTTP request only if the request is transmitted over the HTTPS.
- Property
  System.DateTime Gets the time when the cookie was issued. A that contains the time when the cookie was issued. To be added.
- Method
  System.String Returns a that represents the current . A that represents the current . This method returns a to use to send an HTTP Cookie to an origin server.
- Property
  System.String Gets or sets the Value of the cookie. A that contains the Value of the cookie. To be added.

  The value specified for a set operation is .

  - or -

  The value specified for a set operation contains a string not enclosed in double quotes that contains an invalid character.

- Property
  System.Int32 Gets or sets the value of the Version attribute of the cookie. An that contains the version of the HTTP state management to which the cookie conforms. To be added. The value specified for a set operation is not allowed. The value must be 0 or 1.